> For the complete documentation index, see [llms.txt](https://docs.sonoransoftware.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sonoransoftware.com/cms/developer-api-documentation/api-integration/api-endpoints/servers/activity-tracker-start-stop.md).

# Activity Tracker Start / Stop

## Activity Tracker Start Stop

<mark style="color:green;">`POST`</mark> `https://api.sonorancms.com/servers/activity_tracker_start_stop`

Start, stop or cancel an activity tracker for a CMS user.

#### Request Body

| Name | Type   | Description                    |
| ---- | ------ | ------------------------------ |
| id   | string | Community ID                   |
| key  | string | API Key                        |
| type | string | ACTIVITY\_TRACKER\_START\_STOP |
| data | object | DATA OBJECT                    |

{% tabs %}
{% tab title="200: OK " %}

```json
{
    "success": true,
    "data": {
        "id": "UUID_OF_TRACKER",
        "status": true,
        "accId": "UUID_OF_USER",
        "serverId": 1,
        "start": "TIMESTAMPTZ_STRING", 
        "end": null, // If ended this will be a TIMESTAMPTZ string
        "clearReason": null, // If cancelled this will be a string
        "metadata": {},
    }
}
```

{% endtab %}

{% tab title="400: Bad Request " %}

```javascript
INVALID REQUEST TYPE
INVALID COMMUNITY ID
ACCOUNT_NOT_FOUND
ACTIVITY_TRACKER_START_STOP_LOG_ERROR
```

{% endtab %}
{% endtabs %}

```json
{
    "id": "YOUR_COMMUNITY_ID",
    "key": "YOUR_API_KEY",
    "type": "ACTIVITY_TRACKER_SERVER_START",
    "data": {
        "serverId": 1,
        
        "discord": "", // Optional - One is Required
        "apiId": "", // Optional - One is Required
        "username": "", // Optional - One is Required
        "accId": "", // Optional - One is Required
        "uniqueId": "", // Optional - One is Required
        
        "forceClear": false, // Optional - Will clear out current activity tracker to start a new one
        "forceStart": false, // Optional - Will 
    }
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.sonoransoftware.com/cms/developer-api-documentation/api-integration/api-endpoints/servers/activity-tracker-start-stop.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
